﻿@import '_content/Microsoft.FluentUI.AspNetCore.Components/css/reboot.css';

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}


body {
    --body-font: "Segoe UI Variable", "Segoe UI", sans-serif;
    font-family: var(--body-font);
    font-size: var(--type-ramp-base-font-size);
    line-height: var(--type-ramp-base-line-height);
    margin: 0;
    overflow: hidden;
}


.container {
    height: 100dvh;
    overflow: hidden;
    background-color: var(--neutral-fill-rest);
    color: var(--neutral-foreground-rest);
    display: grid;
    grid-template-areas:
        "header header"
        "nav content"
        "footer footer";
    grid-template-columns: auto 1fr;
    grid-template-rows: auto 1fr;
    overflow: hidden;
}


header {
    grid-area: header;
}


nav {
    grid-area: nav;
}


.navmenu-icon {
    display: none;
}


#main-menu.fluent-nav-menu.collapsed ~ .navmenu-filter {
    display: none;
}


main {
    grid-area: content;
    display: flex;
    flex-direction: column;
    overflow: hidden;
}


footer {
    display: none;
    grid-area: footer;
    height: 30px;
    background-color: lightgoldenrodyellow;
    align-content: center;
    padding-left: 1em;
}


.header-normal-text {
    font-weight: normal;
    font-size: var(--type-ramp-minus-1-font-size);
    max-width: 50%;
}

/*.alert {
    border: 1px dashed var(--accent-fill-rest);
    padding: 5px;
}
*/


.ac-hiddenFadeIn, #AcLoadingOverlay {
    animation-name: as-fadeInOpacity;
    animation-iteration-count: 1;
    animation-timing-function: ease;
    animation-duration: 3s;
}

@keyframes as-fadeInOpacity {
    0% {
        opacity: 0;
    }

    33% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}



fluent-dialog fluent-button:not(#dialog_close) {
    min-width: 6em;
}



fluent-button[appearance="outline"]:hover {
    background-color: whitesmoke;
}



#detail-menu-options {
    min-width: 500px;
}


.ac-input-box {
    display: flex;
    width: 100%;
    scroll-margin-top: 10px;
    justify-content: space-between;
    align-items: center;
}


    .ac-input-box:focus-within,
    .ac-input-box:hover {
        background-color: #fbfbfb;
    }


.ac-toc {
    list-style-type: none;
    text-overflow: ellipsis;
    padding-left: 0em;
    font-size: small;
}

    .ac-toc a {
        color: var(--neutral-foreground-rest);
        text-decoration: none;
        overflow: hidden;
        white-space: break-spaces;
        line-height: var(--type-ramp-base-line-height);
    }

        .ac-toc a:hover {
            text-decoration: underline;
        }

    .ac-toc .ac-toc {
        padding-left: 1em;
    }


.ac-input-box:focus-within label {
    /*  font-weight: 500;*/
    /*  background-color: #f1f1f1;*/
    /*  text-decoration: underline;*/
}

div.validation-message {
    margin-top: -15px;
}


fluent-text-field, fluent-number-field, fluent-checkbox {
    border-radius: calc(var(--control-corner-radius) * 1px);
}


fluent-menu {
    max-width: 1100px;
}


.card {
    background-color: var(--fill-color);
    box-shadow: 0px 2px 1px -1px rgba(0,0,0,0.2),0px 1px 1px 0px rgba(0,0,0,0.14),0px 1px 3px 0px rgba(0,0,0,0.12);
}


/* style dotyczące całego wiersza */

.ac-Direction-Received{
    background-color: AliceBlue;
}


.ac-Direction-Sent.ac-RequestSendStatus-Accepted.ac-ResponseCategory-Acceptance{
    background-color: Honeydew;
}


.ac-Direction-Sent.ac-RequestSendStatus-Accepted.ac-ResponseCategory-Rejection{
    background-color: MistyRose;
}




.ac-DataReadStatus-Accepted.ac-RequestSendStatus-Accepted.ac-ResponseCategory-Acceptance{
    background-color: Honeydew;
}


.ac-DataReadStatus-Accepted.ac-RequestSendStatus-Accepted.ac-ResponseCategory-Rejection{
    background-color: MistyRose;
}


/* style dotyczące komórki wiersza */

.ac-DataReadStatus.ac-DataReadStatus-Pending{

}

.ac-DataReadStatus.ac-DataReadStatus-Failed{
    background-color: MistyRose;
}

.ac-DataReadStatus.ac-DataReadStatus-RetryLimitExceeded{
    background-color: MistyRose;
}

.ac-DataReadStatus.ac-DataReadStatus-Accepted.ac-DataReadStatus-Accepted{
    background-color: Honeydew;
}



.ac-RequestSendStatus.ac-RequestSendStatus-None{

}

.ac-RequestSendStatus.ac-RequestSendStatus-Pending{

}

.ac-RequestSendStatus.ac-RequestSendStatus-Failed{
    background-color: MistyRose;
}

.ac-RequestSendStatus.ac-RequestSendStatus-Rejected{
    background-color: MistyRose;
}

.ac-RequestSendStatus.ac-RequestSendStatus-Accepted.ac-RequestSendStatus-Accepted{
    background-color: Honeydew;
}

.ac-RequestSendStatus.ac-RequestSendStatus-RetryLimitExceeded{
    background-color: MistyRose;
}


.ac-ResponseCategory.ac-ResponseCategory-Acceptance{
    background-color: Honeydew;
}

.ac-ResponseCategory.ac-ResponseCategory-Rejection{
    background-color: MistyRose;
}



.ac-Direction.ac-Direction-Received{
}

.ac-Direction.ac-Direction-Sent{
}

.ac-Direction.ac-Direction-Received::before
{
    content: "🡓 ";
    margin-right: 1px;
}

.ac-Direction.ac-Direction-Sent::before
{
    content: "🡑 ";
    margin-right: 1px;
}


.certification-part-separator {
    margin-top: 1em;
    margin-bottom: 1em;
    border: 1px solid #ccc;
}


.admin-page-panel {
    background-color: var(--neutral-layer-3);
    padding: 10px;
    border-radius: 6px;
}


.darker-on-hover {
    transition: filter 0.2s ease;
}


.darker-on-hover:hover {
    filter: brightness(0.95);
}
